<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: php4DOMDocument Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>php4DOMDocument Class Reference</h1><!-- doxytag: class="php4DOMDocument" --><!-- doxytag: inherits="php4DOMNode" --><div class="dynheader">
Inheritance diagram for php4DOMDocument:</div>
<div class="dynsection">
 <div class="center">
  <img src="classphp4_d_o_m_document.gif" usemap="#php4DOMDocument_map" alt=""/>
  <map id="php4DOMDocument_map" name="php4DOMDocument_map">
<area href="classphp4_d_o_m_node.html" alt="php4DOMNode" shape="rect" coords="0,0,126,24"/>
</map>
 </div>
</div>

<p><a href="classphp4_d_o_m_document-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#a22a4d24f81787bc4a3370425808b4c46">php4DOMDocument</a> ($filename='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#ad917b51fd1b969fc974427a6c08bd018">create_attribute</a> ($name, $value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#a44f018cc140091cc4cb624de572fb888">create_cdata_section</a> ($content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#abc18968f4464845718abc8e0a0a2fa21">create_comment</a> ($data)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#a272ccb279bd1805db2f9cc432b1ac56d">create_element</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#a8f99d0a5ceaacd338f2496e4f6860e95">create_text_node</a> ($content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#aa3ef7007b42aa930b45d5463859204ed">document_element</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#adc45343b0d0b36bdf16f962d93ecb806">dump_file</a> ($filename, $compressionmode=false, $format=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#a7ddae9a7a5b405b8e9455f63f201e2e9">dump_mem</a> ($format=false, $encoding=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#abe67bac0178d0439f9f10bd9b6040869">get_element_by_id</a> ($id)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#a710767513880a39cdce411fe34407121">get_elements_by_tagname</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#ae617f4135a73245f92cad3b234ac1aaa">html_dump_mem</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html#abc8b541313d6a088a2bb57aab5ede8ea">root</a> ()</td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad917b51fd1b969fc974427a6c08bd018"></a><!-- doxytag: member="php4DOMDocument::create_attribute" ref="ad917b51fd1b969fc974427a6c08bd018" args="($name, $value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::create_attribute </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a44f018cc140091cc4cb624de572fb888"></a><!-- doxytag: member="php4DOMDocument::create_cdata_section" ref="a44f018cc140091cc4cb624de572fb888" args="($content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::create_cdata_section </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>content</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abc18968f4464845718abc8e0a0a2fa21"></a><!-- doxytag: member="php4DOMDocument::create_comment" ref="abc18968f4464845718abc8e0a0a2fa21" args="($data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::create_comment </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>data</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a272ccb279bd1805db2f9cc432b1ac56d"></a><!-- doxytag: member="php4DOMDocument::create_element" ref="a272ccb279bd1805db2f9cc432b1ac56d" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::create_element </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8f99d0a5ceaacd338f2496e4f6860e95"></a><!-- doxytag: member="php4DOMDocument::create_text_node" ref="a8f99d0a5ceaacd338f2496e4f6860e95" args="($content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::create_text_node </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>content</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa3ef7007b42aa930b45d5463859204ed"></a><!-- doxytag: member="php4DOMDocument::document_element" ref="aa3ef7007b42aa930b45d5463859204ed" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::document_element </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adc45343b0d0b36bdf16f962d93ecb806"></a><!-- doxytag: member="php4DOMDocument::dump_file" ref="adc45343b0d0b36bdf16f962d93ecb806" args="($filename, $compressionmode=false, $format=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::dump_file </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>compressionmode</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>format</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7ddae9a7a5b405b8e9455f63f201e2e9"></a><!-- doxytag: member="php4DOMDocument::dump_mem" ref="a7ddae9a7a5b405b8e9455f63f201e2e9" args="($format=false, $encoding=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::dump_mem </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>format</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>encoding</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abe67bac0178d0439f9f10bd9b6040869"></a><!-- doxytag: member="php4DOMDocument::get_element_by_id" ref="abe67bac0178d0439f9f10bd9b6040869" args="($id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::get_element_by_id </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a710767513880a39cdce411fe34407121"></a><!-- doxytag: member="php4DOMDocument::get_elements_by_tagname" ref="a710767513880a39cdce411fe34407121" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::get_elements_by_tagname </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae617f4135a73245f92cad3b234ac1aaa"></a><!-- doxytag: member="php4DOMDocument::html_dump_mem" ref="ae617f4135a73245f92cad3b234ac1aaa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::html_dump_mem </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a22a4d24f81787bc4a3370425808b4c46"></a><!-- doxytag: member="php4DOMDocument::php4DOMDocument" ref="a22a4d24f81787bc4a3370425808b4c46" args="($filename='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::php4DOMDocument </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>filename</em> = <code>''</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abc8b541313d6a088a2bb57aab5ede8ea"></a><!-- doxytag: member="php4DOMDocument::root" ref="abc8b541313d6a088a2bb57aab5ede8ea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMDocument::root </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/<a class="el" href="domxml-php4-php5_8php.html">domxml-php4-php5.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
